body {
  background: rgba(64,80,80,0.0);
}

.chat_container {
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  overflow: hidden;
}

.chat_wrapper {
  width: 100%;
  height: 100%;
  -webkit-transform: translate(-50%, -50%);
  position:fixed;
  top:50%;
  left:50%;

  overflow: hidden;
}

.chat_element {
  width: 250px;
  height: auto;
  max-height: 100px;

  border-radius: 3px;
  background-color: rgba(255,255,255,0.5);

  vertical-align: middle;
  overflow: hidden;
}

.chat_text_nickname {
  font-family: serif;
  font-size: 14px;
  color: white;
  text-shadow: 0px 0px 4px #000000, 0px 0px 2px #000000;;

  vertical-align: middle;
}
.chat_text_message {
  font-family: 'Jeju Gothic', serif;
  font-size: 16px;
  color: white;
  text-shadow: 0px 0px 4px #000000, 0px 0px 2px #000000,
  -1px -1px 0 #404040, /* stroke test */
  1px -1px 0 #404040,
  -1px 1px 0 #404040,
  1px 1px 0 #404040;

  width: 90%;
  height: auto;
  max-height: 75px;

  border-radius: 1px 5px 5px 5px;
  background-color: rgba(255,255,255,0.25);
  padding: 5px;

  margin-top: 5px;
  margin-bottom: 20px;
  margin-left: 15px;

  vertical-align: middle;
  overflow: hidden;
}

.chat_platform_twitch {
  width: 16px;
  margin-right: 5px;
  content: url('../images/icon_twitch_small.png');
  vertical-align: middle;
}
.chat_platform_kick {
  width: 16px;
  margin-right: 5px;
  content: url('../images/icon_kick_small.png');
  vertical-align: middle;
}
.chat_platform_youtube {
  width: 16px;
  margin-right: 5px;
  content: url('../images/icon_youtube_small.png');
  vertical-align: middle;
}
.chat_platform_tvpot {
  width: 16px;
  margin-right: 5px;
  content: url('../images/icon_tvpot_small.png');
  vertical-align: middle;
}
.chat_platform_chzzk {
  width: 16px;
  margin-right: 5px;
  content: url('../images/icon_chzzk_small.png');
  vertical-align: middle;
}
.chat_platform_cime {
  width: 16px;
  margin-right: 5px;
  content: url('../images/icon_cime_small.png');
  vertical-align: middle;
}
.chat_platform_none {
  width: 16px;
  margin-right: 20px;
  vertical-align: middle;
}
